# Class SwipeController

The controller for the Mapswipe component.

#### Hierarchy

- SwipeController

- Defined in src/map/swipe.js:73

#####
Index

### Properties

layer
map
swipeValue

### Methods

$onDestroy
$onInit
deactivate

## Properties

### layer

layer: TileLayer<TileSource>

- Defined in src/map/swipe.js:92
- Defined in src/map/swipe.js:169

### map

map: Map

- Defined in src/map/swipe.js:87

### swipeValue

swipeValue: number

- Defined in src/map/swipe.js:103
- Defined in src/map/swipe.js:130
- Defined in src/map/swipe.js:151

## Methods

### $onDestroy

- $onDestroy(): void

- #### Returns void

  - Defined in src/map/swipe.js:228

### $onInit

- $onInit(): void

- Init the controller

  #### Returns void

  - Defined in src/map/swipe.js:127

### deactivate

- deactivate(): void

- Allows you to deactivate the swiper on click of the close button.

  #### Returns void

  - Defined in src/map/swipe.js:168

Generated using TypeDoc